com.mapinfo.midev.language.filter

## Class OrderByFilterCapability

- java.lang.Object
- - com.mapinfo.midev.language.filter.OrderByFilterCapability

All Implemented Interfaces:
  IFilterCapability

    public final class OrderByFilterCapability
    extends Object
    implements IFilterCapability

Used to indicate that ORDER BY is supported.

See Also:
  `FilterLanguage`, `FilterSearch`, `FilterCapabilities`

### Field Summary

Fields
`static OrderByFilterCapability` `ASCENDING` Indicates the ORDER BY in ascending order is supported.
`static OrderByFilterCapability` `DESCENDING` Indicates the ORDER BY in descending order is supported.

### Constructor Summary

Constructors
Constructor and Description
`OrderByFilterCapability(OrderByDirection orderByDirection, OrderByDirection[] orderByDirections)` Creates an `OrderByFilterCapability` with at least one `OrderByDirection`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`Set` `getCapabilities()` Returns the supported `OrderByDirections`.
`int` `hashCode()`
`boolean` `isSupported(IFilterCapability desiredCapability)` Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.
`static OrderByFilterCapability` `valueOf(OrderByDirection orderByDirection)`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ASCENDING

    public static final OrderByFilterCapability ASCENDING

Indicates the ORDER BY in ascending order is supported.

#### DESCENDING

    public static final OrderByFilterCapability DESCENDING

Indicates the ORDER BY in descending order is supported.

### Constructor Detail

#### OrderByFilterCapability

    public OrderByFilterCapability(OrderByDirection orderByDirection,
                                   OrderByDirection[] orderByDirections)

Creates an `OrderByFilterCapability` with at least one `OrderByDirection`.

Parameters:
  `orderByDirection` - The first OrderByDirection supported.
  `orderByDirections` - 0 or more OrderByDirection supported.

### Method Detail

#### getCapabilities

    public Set getCapabilities()

Returns the supported `OrderByDirections`.

Returns:
  the supported `OrderByDirections`.

#### isSupported

    public boolean isSupported(IFilterCapability desiredCapability)

Description copied from interface: `IFilterCapability`
Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

Specified by:
  `isSupported` in interface `IFilterCapability`
Parameters:
  `desiredCapability` - the desired `IFilterCapability` to check support of.
Returns:
  `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

#### valueOf

    public static OrderByFilterCapability valueOf(OrderByDirection orderByDirection)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`